Subject: bug#8116: 24.0.50; `minibuffer-message': ignore mouse-up event for `sit-for'?

From: Stefan Monnier <[email-masked]>
Date: Fri, 25 Feb 2011 13:06:12 -0500

> If you pop up a menu (e.g. using `x-popup-menu') and one of its items
> calls `minibuffer-message', the user will never see the message,
> presumably because the call to `sit-for' in `minibuffer-message' sees
> the mouse-up event (from choosing the menu item) as user input,
> canceling the `sit-for' timeout.
 
> Seems like we should be able to make this work somehow.  Perhaps

Agreed.  I think the way to attack this is elsewhere, tho: the mouse-up
should be eaten up by the menu code.

        Stefan